- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

# QsciLexerJava Class Reference

The QsciLexerJava class encapsulates the Scintilla Java lexer. More...

`#include <qscilexerjava.h>`

Inherits QsciLexerCPP.

List of all members.

## Public Member Functions

- QsciLexerJava (QObject *parent=0)
- virtual ~QsciLexerJava ()
- const char * language () const
- const char * keywords (int set) const

## Detailed Description

The QsciLexerJava class encapsulates the Scintilla Java lexer.

## Constructor & Destructor Documentation

QsciLexerJava::QsciLexerJava | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerJava with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerJava::~QsciLexerJava | ( |  | ) | `[virtual]`

Destroys the QsciLexerJava instance.

## Member Function Documentation

const char* QsciLexerJava::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QsciLexerCPP.

const char* QsciLexerJava::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.